"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_send_bill_method = require("../method.js");
const BILL_send_bill_model = require("../model.js");
require("../../../common/libraries/naviHelper.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
require("../../../common/libraries/sendWxWork.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "pickerSelectHouse",
  props: ["data"],
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return {
        a: common_vendor.t(((_c = (_b = (_a = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _a.currentHouses) == null ? void 0 : _b.value) == null ? void 0 : _c.name) || ""),
        b: common_vendor.p({
          type: "right",
          size: "12"
        }),
        c: (_d = props == null ? void 0 : props.data) == null ? void 0 : _d.houseList,
        d: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _a2.handleChange) && ((_b2 = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _b2.handleChange(...args));
          }
        )
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/send_bill/components/pickerSelectHouse.vue"]]);
wx.createComponent(Component);
